### KeyIn

"Debugging"

Function

Waits for a line of input from the terminal.

Syntax

    KeyIn(prompt);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`prompt` | string | "Type <ENTER> to continue" | string printed

Functional Details

This module delays execution of a script until it receives a line of input (as signaled by a return character) from the workstation. If `prompt` is specified, it will be printed. Otherwise the default string is printed.

Note: KeyIn can be used only in script mode, and the Data Explorer executive must also be running on the local machine.

Script Language Example

In this example, the first image is displayed. The second image is computed, but Data Explorer does not display it until you type the return character.

    electrondensity = Import("/usr/local/dx/samples/data/watermolecule");
    electrondensity = Partition(electrondensity);
    isosurface = Isosurface(electrondensity, 0.3);
    camera = AutoCamera(isosurface);
    Display(isosurface, camera);
    isosurface = Isosurface(electrondensity, 0.5);
    camera = AutoCamera(isosurface);
    KeyIn("press enter to continue");
    Display(isosurface, camera);

[ OpenDX Home at IBM | OpenDX.org ]